package com.ruoyi.project.patrol.dev.mapper;

import java.util.List;
import com.ruoyi.project.patrol.dev.domain.TDevManholeCover;

/**
 * 地井盖Mapper接口
 * 
 * @author admin
 * @date 2023-11-08
 */
public interface TDevManholeCoverMapper 
{
    /**
     * 查询地井盖
     * 
     * @param id 地井盖主键
     * @return 地井盖
     */
    public TDevManholeCover selectTDevManholeCoverById(Long id);

    /**
     * 查询地井盖列表
     * 
     * @param tDevManholeCover 地井盖
     * @return 地井盖集合
     */
    public List<TDevManholeCover> selectTDevManholeCoverList(TDevManholeCover tDevManholeCover);

    /**
     * 新增地井盖
     * 
     * @param tDevManholeCover 地井盖
     * @return 结果
     */
    public int insertTDevManholeCover(TDevManholeCover tDevManholeCover);

    /**
     * 修改地井盖
     * 
     * @param tDevManholeCover 地井盖
     * @return 结果
     */
    public int updateTDevManholeCover(TDevManholeCover tDevManholeCover);

    /**
     * 删除地井盖
     * 
     * @param id 地井盖主键
     * @return 结果
     */
    public int deleteTDevManholeCoverById(Long id);

    /**
     * 批量删除地井盖
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTDevManholeCoverByIds(Long[] ids);
}
